Functions | Variables

# cheat.cpp File Reference

Handling (loading/saving/initializing) of cheats. More...

`#include "stdafx.h"`
`#include "cheat_type.h"`

Go to the source code of this file.

## Functions
void | InitializeCheats ()
| Reinitialise all the cheats.
bool | CheatHasBeenUsed ()
| Return true if any cheat has been used, false otherwise.
## Variables
Cheats | _cheats
| All the cheats.

## Detailed Description

Handling (loading/saving/initializing) of cheats.

Definition in file cheat.cpp.

## Function Documentation

bool CheatHasBeenUsed | ( |  | ) |

Return true if any cheat has been used, false otherwise.

Returns:
  has a cheat been used?

Definition at line 28 of file cheat.cpp.

References Cheat::been_used.

Referenced by SaveHighScoreValue().

void InitializeCheats | ( |  | ) |

Reinitialise all the cheats.

Definition at line 19 of file cheat.cpp.

## Variable Documentation

Cheats _cheats

All the cheats.

Definition at line 16 of file cheat.cpp.

Referenced by ChangeTownRating(), CheckAllowRemoveRoad(), CheckAllowRemoveTunnelBridge(), CheckforTownRating(), ClickSetProdCheat(), CmdBuildTunnel(), FindNearestHangar(), Load_CHTS(), MaybeCrashAirplane(), and Save_CHTS().